<?php

namespace Litecms\ManageIP\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManageIpTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ManageIP\Models\ManageIp $manage_ip)
    {
        return [
            'id'                => $manage_ip->getRouteKey(),
            'key'               => [
                'public'    => $manage_ip->getPublicKey(),
                'route'     => $manage_ip->getRouteKey(),
            ], 
            'ip_address'        => $manage_ip->ip_address,
            'status'            => $manage_ip->status,
            'url'               => [
                'public'    => trans_url('manage_i_p/'.$manage_ip->getPublicKey()),
                'user'      => guard_url('manage_i_p/manage_ip/'.$manage_ip->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manage_ip->status),
            'created_at'        => format_date($manage_ip->created_at),
            'updated_at'        => format_date($manage_ip->updated_at),
        ];
    }
}